Bug 1908677 - Reenable [sig-network] SCTP [Feature:SCTP] [LinuxOnly] should create a Pod with SCTP HostPort [Suite:openshift/conformance/parallel] [Suite:k8s]
Summary: Reenable [sig-network] SCTP [Feature:SCTP] [LinuxOnly] should create a Pod wi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.9.0
Assignee: Antonio Ojea
QA Contact: Weibin Liang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-17 10:26 UTC by Tomáš Nožička
Modified: 2021-10-18 17:29 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:28:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kubernetes pull 543 0 None open UPSTREAM: 97371: fix sctp hostPort test 2021-02-01 16:13:24 UTC
Github openshift origin pull 25833 0 None open bug 1908677: reenable SCTP Host Port test 2021-02-01 16:13:24 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:29:10 UTC

Description Tomáš Nožička 2020-12-17 10:26:18 UTC
[sig-network] SCTP [Feature:SCTP] [LinuxOnly] should create a Pod with SCTP HostPort [Suite:openshift/conformance/parallel] [Suite:k8s] 

is not working on the rebase to kube 1.20 and has been disabled. Please fix the test and reenable it.

I am not sure which subcomponent to choose, host network isn't openshift-sdn but nor are the other options. Please reassign if there is a more fitting component.

https://github.com/openshift/origin/pull/25764
https://prow.ci.openshift.org/view/gs/origin-ci-test/pr-logs/pull/25764/pull-ci-openshift-origin-master-e2e-aws-fips/1339311087341801472

Comment 1 Antonio Ojea 2020-12-17 15:09:25 UTC
These tests need to be cleaned up upstream first

https://github.com/kubernetes/kubernetes/issues/96717

@DanWinship what is your opinion about these tests in Openshift?

Comment 2 Dan Winship 2020-12-17 16:04:04 UTC
While the test is going to be rewritten/removed in 1.21, it seems to me like it should pass in 1.20. CRI-O is using the upstream hostport manager code, which ought to set up iptables rules for SCTP hostports, which ought to be observed correctly by the test...

Oh. I bet it ends up using iptables-legacy to check the iptables rules. Sigh. We need to fix agnhost to use https://github.com/kubernetes-sigs/iptables-wrappers

Comment 3 Antonio Ojea 2020-12-17 17:43:30 UTC
The test was broken by a refactor, fix posted

https://github.com/kubernetes/kubernetes/pull/97371

Comment 4 Aniket Bhat 2021-01-28 14:38:36 UTC

*** This bug has been marked as a duplicate of bug 1861606 ***

Comment 5 Dan Winship 2021-01-28 14:44:06 UTC
oh, sorry, I misread this... 1861606 is about the [Feature:SCTPConnectivity] tests, not [Feature:SCTP].

Comment 6 Antonio Ojea 2021-01-28 15:40:21 UTC
I was confused too with another bug, I will backport the upstream change

Comment 7 Antonio Ojea 2021-01-28 16:57:06 UTC
PR for backporting upstream fix
https://github.com/openshift/kubernetes/pull/543
PR for enabling the test
https://github.com/openshift/origin/pull/25833

Comment 9 Weibin Liang 2021-09-07 17:44:37 UTC
pull-ci-openshift-origin-master-e2e-aws-fips passed in https://prow.ci.openshift.org/pr-history/?org=openshift&repo=origin&pr=25833

Comment 11 errata-xmlrpc 2021-10-18 17:28:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.